org.gradle.ide.xcode.tasks

## Class GenerateXcodeProjectFileTask

- java.lang.Object
- - org.gradle.api.internal.AbstractTask
  - - org.gradle.api.DefaultTask
    - - org.gradle.api.internal.ConventionTask
      - - org.gradle.plugins.ide.api.GeneratorTask<T>
        - - org.gradle.plugins.ide.api.PropertyListGeneratorTask<org.gradle.ide.xcode.tasks.internal.XcodeProjectFile>
          - - org.gradle.ide.xcode.tasks.GenerateXcodeProjectFileTask

- All Implemented Interfaces:
    Comparable<Task>, org.gradle.api.internal.DynamicObjectAware, org.gradle.api.internal.IConventionAware, org.gradle.api.internal.TaskInternal, ExtensionAware, Task, org.gradle.util.Configurable<Task>

      @Incubating
      public class GenerateXcodeProjectFileTask
      extends PropertyListGeneratorTask<org.gradle.ide.xcode.tasks.internal.XcodeProjectFile>

  Task for generating a project file.
  Since:
    4.2

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.gradle.api.Task

      `Task.Namer`

  - ### Field Summary

    - ### Fields inherited from class org.gradle.plugins.ide.api.GeneratorTask

      `afterConfigured, beforeConfigured, domainObject, generator`

    - ### Fields inherited from interface org.gradle.api.Task

      `TASK_ACTION, TASK_CONSTRUCTOR_ARGS, TASK_DEPENDS_ON, TASK_DESCRIPTION, TASK_GROUP, TASK_NAME, TASK_OVERWRITE, TASK_TYPE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GenerateXcodeProjectFileTask(org.gradle.ide.xcode.internal.xcodeproj.GidGenerator gidGenerator)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `configure(org.gradle.ide.xcode.tasks.internal.XcodeProjectFile projectFile)`
    `protected org.gradle.ide.xcode.tasks.internal.XcodeProjectFile` | `create()`
    `XcodeProject` | `getXcodeProject()`
    `void` | `setXcodeProject(XcodeProject xcodeProject)`

    - ### Methods inherited from class org.gradle.plugins.ide.api.PropertyListGeneratorTask

      `getPropertyListTransformer`

    - ### Methods inherited from class org.gradle.plugins.ide.api.GeneratorTask

      `getIncremental, getInputFile, getInputFileIfExists, getInstantiator, getOutputFile, setInputFile, setOutputFile`

    - ### Methods inherited from class org.gradle.api.internal.ConventionTask

      `conventionMapping, conventionMapping, getConventionMapping`

    - ### Methods inherited from class org.gradle.api.DefaultTask

      `newInputDirectory, newInputFile, newOutputDirectory, newOutputFile`

    - ### Methods inherited from class org.gradle.api.internal.AbstractTask

      `addValidator, appendParallelSafeAction, compareTo, configure, deleteAllActions, dependsOn, dependsOnTaskDidWork, doFirst, doFirst, doFirst, doLast, doLast, doLast, execute, finalizedBy, getActions, getAnt, getAsDynamicObject, getConvention, getDependsOn, getDescription, getDestroyables, getDidWork, getEnabled, getExecuter, getExtensions, getFinalizedBy, getGroup, getIdentityPath, getImpliesSubProjects, getInputs, getLocalState, getLogger, getLogging, getMustRunAfter, getName, getOnlyIf, getOutputs, getPath, getProject, getServices, getShouldRunAfter, getStandardOutputCapture, getState, getTaskActions, getTaskDependencies, getTaskIdentity, getTemporaryDir, getTemporaryDirFactory, getValidators, hasProperty, hasTaskActions, injectIntoNewInstance, isEnabled, isHasCustomActions, leftShift, mustRunAfter, onlyIf, onlyIf, prependParallelSafeAction, property, replaceLogger, setActions, setDependsOn, setDescription, setDidWork, setEnabled, setExecuter, setFinalizedBy, setGroup, setImpliesSubProjects, setMustRunAfter, setOnlyIf, setOnlyIf, setProperty, setShouldRunAfter, shouldRunAfter, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GenerateXcodeProjectFileTask

          @Inject
          public GenerateXcodeProjectFileTask(org.gradle.ide.xcode.internal.xcodeproj.GidGenerator gidGenerator)

  - ### Method Detail

    - #### configure

          protected void configure(org.gradle.ide.xcode.tasks.internal.XcodeProjectFile projectFile)

      Specified by:
        `configure` in class `PropertyListGeneratorTask<org.gradle.ide.xcode.tasks.internal.XcodeProjectFile>`

    - #### create

          protected org.gradle.ide.xcode.tasks.internal.XcodeProjectFile create()

      Specified by:
        `create` in class `PropertyListGeneratorTask<org.gradle.ide.xcode.tasks.internal.XcodeProjectFile>`

    - #### getXcodeProject

          @Internal
          public XcodeProject getXcodeProject()

    - #### setXcodeProject

          public void setXcodeProject(XcodeProject xcodeProject)